"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isEmptyObject = exports.typeOf = exports.sleep = void 0;
exports.sleep = (time) => {
    return new Promise(resolve => {
        setTimeout(() => {
            resolve(1);
        }, time);
    });
};
exports.typeOf = (obj) => {
    const _toString = Object.prototype.toString;
    const _type = {
        undefined: 'undefined',
        number: 'number',
        boolean: 'boolean',
        string: 'string',
        '[object Function]': 'function',
        '[object RegExp]': 'regexp',
        '[object Array]': 'array',
        '[object Date]': 'date',
        '[object Error]': 'error',
    };
    // @ts-ignore
    return _type[typeof obj] || _type[_toString.call(obj)] || (obj ? 'object' : 'null');
};
exports.isEmptyObject = (obj) => {
    return !Object.keys(obj).length;
};
