import React, { ReactNode } from 'react';
import { StyleProp, ViewStyle, TextStyle } from 'react-native';
import { IconName } from '../../assets/svg';
export declare type CellProps = {
    style?: StyleProp<ViewStyle>;
    title: string;
    titleStyle?: StyleProp<TextStyle>;
    label?: string;
    border?: boolean;
    centerRightText?: boolean;
    rightContent?: string | ReactNode;
    isLink?: boolean;
    rightIconName?: IconName;
    rightIconSize?: number;
    rightIconColor?: string;
    renderLeftIcon?: () => ReactNode;
    onPress?: () => void;
};
declare const Cell: React.FC<CellProps>;
export default Cell;
