import { ReactNode } from 'react';
export declare type ListProps<T> = {
    indexList: string[];
    dataList: T[][];
    activeStickyIndex: number;
    renderItem: (item: T, index: number) => ReactNode;
    onKeyIndexChange: (index: number) => void;
};
declare function List<T>(props: ListProps<T>): JSX.Element;
export default List;
